import { defHttp } from '/@/utils/http/axios';
import { Modal } from 'ant-design-vue';

enum Api {
  getRemoteLogList = '/test/serverLog/getRemoteLogList',
  getLocalLogList = '/test/serverLog/getLocalLogList',
  downloadRemoteFile = '/test/serverLog/downloadRemoteFile',
  logAnalyzer = '/test/serverLog/logAnalyzer',

  getDbAllTable = '/test/rdb/getDbAllTable',
  getTableDatas = '/test/rdb/getTableDatas',

  }

 
export const getRemoteLogList = (params) => {
  let url =Api.getRemoteLogList
  return defHttp.post({ url: url, params });
};

export const getLocalLogList = (params) => {
  let url =Api.getLocalLogList
  return defHttp.post({ url: url, params });
};


export const downloadRemoteFile = (params) => {
  let url =Api.downloadRemoteFile
  return defHttp.post({ url: url, params });
};

export const logAnalyzer = (params) => {
  let url =Api.logAnalyzer
  return defHttp.post({ url: url, params });
};

export const getDbAllTable = (params) => {
  let url =Api.getDbAllTable
  return defHttp.post({ url: url, params });
};


export const getTableDatas = (params) => {
  let url =Api.getTableDatas
  return defHttp.post({ url: url, params });
};






